Sabnzbd service not starting after pkg upgrade [FreeNAS]

Support for the freeBSD package, created by dbrooks
Post Reply
Toxic Waste
Newbie
Newbie
Posts: 2
Joined: August 19th, 2016, 4:01 am
Location: Belgium

Sabnzbd service not starting after pkg upgrade [FreeNAS]

Post by Toxic Waste » August 19th, 2016, 4:05 am

Hi guys,

a bit of a loss here as to what caused it but my sabnzbd service in my freenas jail stopped working this morning. When I try to manually start the service I get the following output now:

Code: Select all

# service sabnzbd start
Starting sabnzbd.
Traceback (most recent call last):
  File "/usr/local/bin/SABnzbd.py", line 88, in <module>
    import sabnzbd
  File "/usr/local/lib/python2.7/site-packages/sabnzbd/__init__.py", line 78, in <module>
    from sabnzbd.nzbqueue import NzbQueue
  File "/usr/local/lib/python2.7/site-packages/sabnzbd/nzbqueue.py", line 42, in <module>
    import sabnzbd.downloader
  File "/usr/local/lib/python2.7/site-packages/sabnzbd/downloader.py", line 34, in <module>
    from sabnzbd.utils.sslinfo import ssl_protocols
  File "/usr/local/lib/python2.7/site-packages/sabnzbd/utils/sslinfo.py", line 12, in <module>
    from OpenSSL import SSL
  File "/usr/local/lib/python2.7/site-packages/OpenSSL/__init__.py", line 8, in <module>
    from OpenSSL import rand, crypto, SSL
  File "/usr/local/lib/python2.7/site-packages/OpenSSL/rand.py", line 12, in <module>
    from OpenSSL._util import (
  File "/usr/local/lib/python2.7/site-packages/OpenSSL/_util.py", line 6, in <module>
    from cryptography.hazmat.bindings.openssl.binding import Binding
  File "/usr/local/lib/python2.7/site-packages/cryptography/hazmat/bindings/openssl/binding.py", line 250, in <module>
    _verify_openssl_version(Binding.lib.SSLeay())
  File "/usr/local/lib/python2.7/site-packages/cryptography/hazmat/bindings/openssl/binding.py", line 230, in _verify_openssl_version
    "You are linking against OpenSSL 0.9.8, which is no longer "
RuntimeError: You are linking against OpenSSL 0.9.8, which is no longer support by the OpenSSL project. You need to upgrade to a newer version of OpenSSL.
/usr/local/etc/rc.d/sabnzbd: WARNING: failed to start sabnzbd
Is this a problem of Sabnzbd itself, or is there another package on my system that is severly outdated? Any help or feedback is much appreciated!

User avatar
shypike
Administrator
Administrator
Posts: 21002
Joined: January 18th, 2008, 12:49 pm

Re: Sabnzbd service not starting after pkg upgrade

Post by shypike » August 19th, 2016, 4:55 am

You need to update the Python package PyOpenSSL.
Unfortunately I'm not familiar enough with freeBSD to tell you how.

Toxic Waste
Newbie
Newbie
Posts: 2
Joined: August 19th, 2016, 4:01 am
Location: Belgium

Re: Sabnzbd service not starting after pkg upgrade

Post by Toxic Waste » August 19th, 2016, 5:28 am

alright. thank you for the quick reply, I will look into that. :)

Normally I'd say that happens via pkg , but there are no pending updates or anything so this will be fun to troubleshoot..

Ravefiend
Newbie
Newbie
Posts: 4
Joined: January 4th, 2011, 5:43 am

Re: Sabnzbd service not starting after pkg upgrade

Post by Ravefiend » September 6th, 2016, 5:20 am

Toxic Waste wrote:alright. thank you for the quick reply, I will look into that. :)

Normally I'd say that happens via pkg , but there are no pending updates or anything so this will be fun to troubleshoot..
I'm running into the same issue on my FreeNAS machine so I was wondering if you had managed to sort out this issue. Does this require an upgrade of the base OpenSSL libs?

blitzkreat
Newbie
Newbie
Posts: 1
Joined: September 19th, 2016, 7:38 pm

Re: Sabnzbd service not starting after pkg upgrade [FreeNAS]

Post by blitzkreat » September 19th, 2016, 7:40 pm

I think this is because you're using a version of freebsd that is 9.3 or lower. this freebsd post sheds some light on how openssl version numbers get set.

https://forums.freebsd.org/threads/56196/

Ravefiend
Newbie
Newbie
Posts: 4
Joined: January 4th, 2011, 5:43 am

Re: Sabnzbd service not starting after pkg upgrade [FreeNAS]

Post by Ravefiend » September 20th, 2016, 5:06 am

blitzkreat wrote:I think this is because you're using a version of freebsd that is 9.3 or lower. this freebsd post sheds some light on how openssl version numbers get set.

https://forums.freebsd.org/threads/56196/
Thanks a lot for the tip! I had been putting of upgrading my FreeNAS machine so guess now is the right time to go ahead with that upgrade.

Post Reply